Loading...
Searching...
No Matches
intfloat.h File Reference
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Data Structures

union | av_intfloat32
union | av_intfloat64

## Functions

static av_always_inline float | av_int2float (uint32_t i)
| Reinterpret a 32-bit integer as a float.
static av_always_inline uint32_t | av_float2int (float f)
| Reinterpret a float as a 32-bit integer.
static av_always_inline double | av_int2double (uint64_t i)
| Reinterpret a 64-bit integer as a double.
static av_always_inline uint64_t | av_double2int (double f)
| Reinterpret a double as a 64-bit integer.

## Function Documentation

## av_int2float()

static av_always_inline float av_int2float | ( | uint32_t | i | ) |

static

Reinterpret a 32-bit integer as a float.

Definition at line 40 of file intfloat.h.

## av_float2int()

static av_always_inline uint32_t av_float2int | ( | float | f | ) |

static

Reinterpret a float as a 32-bit integer.

Definition at line 50 of file intfloat.h.

## av_int2double()

static av_always_inline double av_int2double | ( | uint64_t | i | ) |

static

Reinterpret a 64-bit integer as a double.

Definition at line 60 of file intfloat.h.

## av_double2int()

static av_always_inline uint64_t av_double2int | ( | double | f | ) |

static

Reinterpret a double as a 64-bit integer.

Definition at line 70 of file intfloat.h.